CocoaTweet::API::Interface::HttpPost Class Reference

class for Send request with POST method More...

`#include <httpPost.h>`

Inheritance diagram for CocoaTweet::API::Interface::HttpPost:
[legend]
Collaboration diagram for CocoaTweet::API::Interface::HttpPost:
[legend]

## Protected Member Functions

void | process (std::weak_ptr< CocoaTweet::OAuth::OAuth1 > _oauth, std::function< void(const std::string &)> _callback)
| Send HTTP/POST using OAuth object. More...

## Additional Inherited Members

Static Protected Member Functions inherited from CocoaTweet::API::Interface::HttpBase
static size_t | curlCallback_ (char *_ptr, size_t _size, size_t _nmemb, std::string *_stream)
Protected Attributes inherited from CocoaTweet::API::Interface::HttpBase
std::weak_ptr< CocoaTweet::OAuth::OAuth1 > | oauth_
std::map< std::string, std::string > | bodyParam_
std::string | url_
std::string | contentType_

## Detailed Description

class for Send request with POST method

## Member Function Documentation

## process()

void CocoaTweet::API::Interface::HttpPost::process | ( | std::weak_ptr< CocoaTweet::OAuth::OAuth1 > | _oauth,
|  | std::function< void(const std::string &)> | _callback
| ) |  |

protectedvirtual

Send HTTP/POST using OAuth object.

Parameters

  [in] | std::weak_ptr<CocoaTweet::OAuth::OAuth1> | _oauth : pointer to OAuth object to authenticate
  [in] | std::function<void(const | unsigned int, const std::string&)> _callback : callback method for processing to response

Implements CocoaTweet::API::Interface::HttpBase.

The documentation for this class was generated from the following files:

- src/cocoatweet/api/interface/httpPost.h
- src/cocoatweet/api/interface/httpPost.cc